// TODO - add recessed plus indicator
//      - allow multiple cells
//      - add slots for solder tabs
//
battery_diameter=18;
battery_length=65.2;

plate_thickness=3;
wall_thickness=2;

side_margin=2;
spring_margin=7;
plate_margin=3;
finger_diameter=35;
terminal_width=5;

end_margin=plate_margin+spring_margin;

cavity_width=battery_diameter+side_margin;
cavity_length=battery_length+end_margin;

case_length=cavity_length+2*wall_thickness;
case_width=cavity_width+2*wall_thickness;
case_height=battery_diameter+plate_thickness;

module onecell()
{
    difference()
    {
        translate([-case_width/2, -case_length/2, 0]) cube([case_width, case_length, case_height]);

        // battery cavity
        translate([-cavity_width/2, -cavity_length/2, plate_thickness]) cube([cavity_width, cavity_length, battery_diameter]);

        // removal opening
        translate([-case_width,0,case_height]) rotate([0,90,0]) cylinder(d=finger_diameter, h=case_width*2, $fn=64);

        // solder terminal gaps
        translate([0, -case_length/2+wall_thickness, plate_thickness]) rotate([90,0,0])cylinder(d=terminal_width, h=wall_thickness, $fn=32);
        translate([0, +case_length/2, plate_thickness]) rotate([90,0,0])cylinder(d=terminal_width, h=wall_thickness, $fn=32);
    }
}

module twocell()
{
    translate([-case_width/2+wall_thickness/2, 0, 0]) onecell();
    translate([+case_width/2-wall_thickness/2, 0, 0]) onecell();
}


twocell();
